Skip to content
Start here

Get application category

client.zeroTrust.resourceLibrary.categories.get(numberid, CategoryGetParams { account_id } params, RequestOptionsoptions?): CategoryGetResponse { id, created_at, description, name }
GET/accounts/{account_id}/resource-library/categories/{id}

Get application category by ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: number

Returns the category ID.

formatint64
maximum4294967295
minimum1
params: CategoryGetParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
CategoryGetResponse { id, created_at, description, name }
id: number

Returns the category ID.

formatint64
maximum4294967295
minimum1
created_at: string

Returns the category creation time.

description: string

Returns the category description.

name: string

Returns the category name.

Get application category

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const category = await client.zeroTrust.resourceLibrary.categories.get(12, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(category.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "description": "Category description",
    "name": "Category name"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "description": "Category description",
    "name": "Category name"
  }
}